"""djangoProject URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from django.conf.urls.static import static

import products
from .views import home_page, about_us_page, contact_us_page, login_page, register_page, log_out

urlpatterns = [
    path('admin/', admin.site.urls),
    path('products/', include("products.urls"), name='products'),
    path('', home_page, name='home'),
    path('about-us', about_us_page, name='about'),
    path('contact-us', contact_us_page, name='contact'),
    path('login', login_page, name='login'),
    path('register', register_page, name='register'),
    path('logout', log_out)
]

if settings.DEBUG:
    urlpatterns = urlpatterns + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns = urlpatterns + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

